ExtendedNumerics mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Provides constants and static methods for trigonometric, logarithmic, and other common mathematical functions.

To be added.
- Method
  System.Decimal ``

  A .

  Returns the absolute value of the specified .

  A containing the absolute value of .

  To be added.

  The following example demonstrates the () method.

  `using System; public class MathAbsExample { public static void Main() { Decimal d1 = Math.Abs( (Decimal)0.00 ); Decimal d2 = Math.Abs( (Decimal)(-1.23) ); Console.WriteLine("Math.Abs( (Decimal)0.00 ) returns {0}",d1); Console.WriteLine("Math.Abs( (Decimal)(-1.23) ) returns {0}",d2); } }`

  The output is

  Math.Abs( (Decimal)0.00 ) returns 0

  Math.Abs( (Decimal)(-1.23) ) returns 1.23

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A .

  Returns the absolute value of the specified .

  A containing the absolute value of . If is equal to or , returns . If value is equal to , returns .

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int16 `` A .

  Returns the absolute value of the specified .

  A containing the absolute value of .

  To be added. equals . 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` A .

  Returns the absolute value of the specified .

  A containing the absolute value of .

  To be added. equals . 0 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` A .

  Returns the absolute value of the specified .

  A containing the absolute value of .

  To be added. equals . 0 1.0.5000.0 2.0.0.0
- Method
  System.SByte `` A .

  Returns the absolute value of the specified .

  A containing the absolute value of .

  This method is not CLS-compliant. For a CLS-compliant alternative, use ().

  equals . 0 1.0.5000.0 2.0.0.0 System.CLSCompliant(false)
- Method
  System.Single `` A .

  Returns the absolute value of the specified .

  A containing the absolute value of . If is equal to or , returns . If is equal to , returns .

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Double `` A representing a cosine, where -1 <= <= 1.

  Returns the angle whose cosine is the specified .

  A containing the value of an angle, , measured in radians, for which is the cosine, such that 0 <= <= . If < -1, > 1, or = , returns .

  Multiply the return value by 180/ to convert from radians to degrees.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A representing a sine, where -1 <= <= 1.

  Returns the angle whose sine is the specified .

  A containing the value of an angle, , measured in radians, for which is the sine, such that -/2 <= <= /2. If < -1, > 1, or =

  , returns .

  A positive return value represents a counterclockwise angle from the positive x-axis; a negative return value represents a clockwise angle.

  Multiply the return value by 180/ to convert from radians to degrees.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A that represents a tangent.

  Returns the angle whose tangent is the specified .

  A containing the value of the angle, , measured in radians, for which is the tangent, such that -/2 <= <=

  /2.

  The following table specifies the return value if d is equal to , , or .

  Return Value
  Condition
  is equal to .
  -/2 rounded to double precision (-1.5707963267949)
  is equal to .
  /2 rounded to double precision (1.5707963267949)
  is equal to .

  A positive return value represents a counterclockwise angle from the positive x-axis; a negative return value represents a clockwise angle.

  Multiply the return value by 180/ to convert from radians to degrees.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` `` A representing the y coordinate of a point. A representing the x coordinate of a point.

  Returns the angle whose tangent is the quotient of two specified values.

  A containing the value of an angle, , measured in radians, such that - <= <=

  and tan =

  , where () is a point in the Cartesian plane.

  If both and are any combination of and , is returned.

  If either or is equal to , is returned.

  The following table specifies the return value if or is equal to or .

  Condition
  Return Value

  is equal to or , and

  is equal to or .

  .

  is equal to , and

  is not equal to or .

  -/2.

  is equal to , and

  is not equal to or .

  /2.

  is equal to , and

  is not equal to or .

  0.

  is equal to , and

  >= 0 and not equal to .

  .

  is equal to , and

  < 0 and not equal to .

  -.

  The return value is the angle in the Cartesian plane formed by the x-axis, and a vector starting from the origin, (0,0), and terminating at the point, ().

  For (, ) in quadrant 1, 0 < < /2.

  For (, ) in quadrant 2, /2 < < .

  For (, ) in quadrant 3, - < < -/2.

  For (, ) in quadrant 4, -/2 < < 0.

  The following example demonstrates using the method.

  `using System; public class MathAtan2Example { public static void Main() { Double d1 = Math.Atan2(2,0); Double d2 = Math.Atan2(0,0); Console.WriteLine("Math.Atan2(2,0) returns {0}", d1); Console.WriteLine("Math.Atan2(0,0) returns {0}", d2); } }`

  The output is

  Math.Atan2(2,0) returns 1.5707963267949

  Math.Atan2(0,0) returns 0

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 `` `` The first to multiply. The second to multiply.

  Produces the full product of two 32-bit numbers.

  A containing the product of the specified numbers.

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double `` A .

  Returns the smallest integer greater than or equal to the specified .

  A containing the value of the smallest integer greater than or equal to . If is equal to , , or , that value is returned.

  To be added.

  The following example demonstrates using the method.

  `using System; public class MathCeilingExample { public static void Main() { Double d1 = Math.Ceiling(3.4); Double d2 = Math.Ceiling(-3.4); Console.WriteLine("Math.Ceiling(3.4) returns {0}", d1); Console.WriteLine("Math.Ceiling(-3.4) returns {0}", d2); } }`

  The output is

  Math.Ceiling(3.4) returns 4

  Math.Ceiling(-3.4) returns -3

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A that represents an angle measured in radians.

  Returns the cosine of the specified that represents an angle.

  A containing the value of the cosine of . If is equal to , , or , returns .

  Multiply by /180 to convert degrees to radians.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A that represents an angle measured in radians.

  Returns the hyperbolic cosine of the specified that represents an angle.

  The hyperbolic cosine of . If is equal to or , returns . If is equal to , returns .

  Multiply by /180 to convert degrees to radians.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` `` A that contains the dividend. A that contains the divisor. A that receives the remainder.

  Returns the quotient of two numbers, also passing the remainder as an output parameter.

  A containing the quotient of the specified numbers.

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` `` `` A that contains the dividend. A that contains the divisor. A that receives the remainder.

  Returns the quotient of two numbers, also passing the remainder as an output parameter.

  A containing the quotient of the specified numbers.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Double

  A constant, , which specifies the natural logarithmic base rounded to double precision.

  The value of this constant is 2.7182818284590452354 converted to .

  0
  2.71828182845905
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A that represents an exponent.

  Returns raised to the specified that represents an exponent.

  A equal to the number raised to the power of . If equals or , returns that value. If equals , returns 0.

  Use the method to calculate powers of other bases.

  is the inverse of .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double `` A .

  Returns the largest integer less than or equal to the specified .

  A containing the value of the largest integer less than or equal to . If is equal to , , or , that value is returned..

  The behavior of this method follows IEEE Standard 754, section 4.

  The following example demonstrates using the method.

  `using System; public class MathFloorExample { public static void Main() { Double d1 = Math.Floor(3.4); Double d2 = Math.Floor(-3.4); Console.WriteLine("Math.Floor(3.4) returns {0}", d1); Console.WriteLine("Math.Floor(-3.4) returns {0}", d2); } }`

  The output is

  Math.Floor(3.4) returns 3

  Math.Floor(-3.4) returns -4

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` `` A that represents a dividend. A that represents a divisor.

  Returns the remainder resulting from the division of one specified by another specified .

  A whose value is as follows:

  Value
  Description
  - ( Q),
  Q is the quotient of rounded to the nearest integer (if is exactly halfway between two integers, the even integer is returned).
  +0
  Q is the quotient of rounded to the nearest integer (if is exactly halfway between two integers, the even integer is returned), - (y Q) is zero, and is positive.
  -0
  Q is the quotient of rounded to the nearest integer (if is exactly halfway between two integers, the even integer is returned), - (y Q) is zero, and is negative.
  y = 0.

  This operation complies with the remainder operation defined in Section 5.1 of ANSI/IEEE Std 754-1985; IEEE Standard for Binary Floating-Point Arithmetic; Institute of Electrical and Electronics Engineers, Inc; 1985.

  For more information regarding the use of +0 and -0, see Section 3.1 of ANSI/IEEE Std 754-1985; IEEE Standard for Binary Floating-Point Arithmetic; Institute of Electrical and Electronics Engineers, Inc; 1985.

  The following example demonstrates using the method.

  `using System; public class MathIEEERemainderExample { public static void Main() { Double d1 = Math.IEEERemainder(3.54,0); Double d2 = Math.IEEERemainder(9.99,-3.33); Double d3 = Math.IEEERemainder(-9.99,3.33); Double d4 = Math.IEEERemainder(9.5,1.5); Console.WriteLine("Math.IEEERemainder(3.54,0) returns {0}", d1); Console.WriteLine("Math.IEEERemainder(9.99,-3.33) returns {0}", d2); Console.WriteLine("Math.IEEERemainder(-9.99,3.33) returns {0}", d3); Console.WriteLine("Math.IEEERemainder(9.5,1.5) returns {0}", d4); } }`

  The output is

  Math.IEEERemainder(3.54,0) returns NaN

  Math.IEEERemainder(9.99,-3.33) returns 0

  Math.IEEERemainder(-9.99,3.33) returns 0

  Math.IEEERemainder(9.5,1.5) returns 0.5

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A whose natural logarithm is to be found.

  Returns the natural logarithm of the specified .

  Returns a whose value is as follows.

  Condition
  Returns

  > 0.
  The value of the natural logarithm of .
  == 0.
  .

  < 0.

  -or-

  is equal to .

  -or-

  is equal to .

  .
  is equal to .
  .

  is specified as a base 10 number.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` `` A whose logarithm is to be found. A containing the value of the base of the logarithm.

  Returns the logarithm of the specified in the specified base.

  Returns a whose value is as follows:

  Condition
  Returns
  > 0, > 0, but != 1
  log
  < 0
  < 0
  == 0, != 1
  == 0, == 1
  Zero
  0 < < 1, == 0
  0 < < 1, == +infinity
  == 1
  > 1, == 0
  > 1, == +infinity
  == +infinity, != 1
  == +infinity, == 1
  Zero
  == NaN or == NaN
  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Double `` A whose logarithm is to be found.

  Returns log10 of the specified .

  Returns a as indicated by the following table.

  Condition
  Returns
  > 0.
  A containing the value of log10.
  == 0.
  .

  < 0.

  -or-

  is equal to .

  -or-

  is equal to .

  .

  is equal to .

  . To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Byte `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Decimal `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Double `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A equal to if is greater than or equal to ; otherwise, the return value is equal to . If , , or both are equal to , is returned.

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Int16 `` `` The first of two specified values to compare. The second of two specified values to compare. To be added. To be added.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Int32 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Int64 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.SByte `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Single `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A equal to if is greater than or equal to ; otherwise, the return value is equal to . If , , or both are equal to , is returned.

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.UInt16 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.UInt32 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A that is equal to if is greater than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.UInt64 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the greater of two specified values.

  A equal to if is greater than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Byte `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Decimal `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Double `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to . If , , or both are equal to , is returned.

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Int16 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A that is equal to if is less than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Int32 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Int64 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.SByte `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Single `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to . If , , or both are equal to , is returned.

  To be added. 0 1.0.5000.0 2.0.0.0 System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.UInt16 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.UInt32 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.UInt64 `` `` The first of two specified values to compare. The second of two specified values to compare.

  Returns the lesser of two specified values.

  A equal to if is less than or equal to ; otherwise, the return value is equal to .

  This method is not CLS-compliant. For a CLS-compliant alternative, use (, ).

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Field
  System.Double

  A constant, , which specifies the ratio of the circumference of a circle to its diameter rounded to double precision.

  The value of this constant is 3.14159265358979323846 converted to .

  0
  3.14159265358979
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` `` A to be raised to a power. A that specifies that power.

  Returns the specified raised to the specified power.

  A equal to raised to the power . The following table specifies the results if or is equal to , , or .

  Parameter Values
  Returns
  or == NaN
  == any value except NaN, == 0
  1
  == -infinity, < 0
  0
  == -infinity, is a positive odd integer
  == -infinity, is not 0 or a positive odd integer
  < 0, (-1 < < 0) or (0 < < 1)
  < -1, == -infinity
  0
  < -1, == +infinity
  == -1, == -infinity or +infinity
  (-1 < <= 0), == -infinity
  (-1 < <= 0), == +infinity
  0
  == 0, < 0
  == 0, > 0
  0
  (0 < < 1), == -infinity
  (0 < < 1), == +infinity
  0
  == 1 == any value except NaN
  1
  > 1, == -infinity
  0
  > 1, == +infinity
  == +infinity < 0
  0
  == +infinity > 0
  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Decimal `` A to be rounded.

  Returns the integer nearest the specified .

  A containing the value of the integer nearest . If is exactly halfway between two integers, one of which is even and the other odd, then the even integer is returned.

  The behavior of this method follows IEEE Standard 754, section 4.1.

  The following example demonstrates using the () method.

  `using System; public class MathRoundExample { public static void Main() { Double d1 = Math.Round(4.4); Double d2 = Math.Round(4.5); Double d3 = Math.Round(4.6); Console.WriteLine("Math.Round(4.4) returns {0}", d1); Console.WriteLine("Math.Round(4.5) returns {0}", d2); Console.WriteLine("Math.Round(4.6) returns {0}", d3); } }`

  The output is

  Math.Round(4.4) returns 4

  Math.Round(4.5) returns 4

  Math.Round(4.6) returns 5

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A to be rounded.

  Returns the integer nearest the specified .

  A containing the value of the integer nearest . If is exactly halfway between two integers, one of which is even and the other odd, then the even integer is returned.

  The behavior of this method follows IEEE Standard 754, section 4.1.

  The following example demonstrates using the () method.

  `using System; public class MathRoundExample { public static void Main() { Double d1 = Math.Round(4.4); Double d2 = Math.Round(4.5); Double d3 = Math.Round(4.6); Console.WriteLine("Math.Round(4.4) returns {0}", d1); Console.WriteLine("Math.Round(4.5) returns {0}", d2); Console.WriteLine("Math.Round(4.6) returns {0}", d3); } }`

  The output is

  Math.Round(4.4) returns 4

  Math.Round(4.5) returns 4

  Math.Round(4.6) returns 5

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Decimal `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Decimal `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double `` `` A to be rounded. A containing the value of the number of significant fractional digits (precision) in the return value. This number is required to be greater than or equal to 0 and less than or equal to 15. To be added.

  Returns the number nearest the specified within the specified precision.

  A containing the value of the number nearest with a precision equal to . If the digit in that is in the 10-( + 1) place is equal to 5 and there are no non-zero numbers in any less significant place, then the digit in the 10- place will be unchanged if it is even, else it will be set to the closest even integer value in the direction of the digit in the 10-( + 1) place. If the precision of is less than , then is returned unchanged. If is zero, this method behaves in the same manner as ( ).

  The behavior of this method follows IEEE Standard 754, section 4.1.

  < 0

  -or-

  > 15

  The following example demonstrates using the (, ) method.

  `using System; public class MathRoundExample { public static void Main() { Double d1 = Math.Round(3.44,1); Double d2 = Math.Round(3.45,1); Double d3 = Math.Round(3.55,1); Console.WriteLine("Math.Round(3.44, 1) returns {0}", d1); Console.WriteLine("Math.Round(3.45, 1) returns {0}", d2); Console.WriteLine("Math.Round(3.55, 1) returns {0}", d3); } }`

  The output is

  Math.Round(3.44, 1) returns 3.4

  Math.Round(3.45, 1) returns 3.4

  Math.Round(3.55, 1) returns 3.6

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Decimal `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 `` A number whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of .

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0. To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` A whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of .

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0. To be added. is equal to .

  The following example demonstrates using the () method.

  `using System; public class MathSignExample { public static void Main() { Double d1 = Math.Sign(4.4); Double d2 = Math.Sign(0.0); Double d3 = Math.Sign(-4.5); Console.WriteLine("Math.Sign(4.4) returns {0}", d1); Console.WriteLine("Math.Sign(0.0) returns {0}", d2); Console.WriteLine("Math.Sign(-4.5) returns {0}", d3); } }`

  The output is

  Math.Sign(4.4) returns 1

  Math.Sign(0.0) returns 0

  Math.Sign(-4.5) returns -1

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` A whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of .

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0. To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` A whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of .

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0. To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` A whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of .

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0. To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` A whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of .

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0.

  This method is not CLS-compliant. For a CLS-compliant alternative, use ().

  0
  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.Int32 `` A whose sign is to be determined.

  Returns a value indicating the sign of the specified .

  A indicating the sign of value.

  Number
  Description
  -1
  < 0.
  0
  == 0.
  1
  > 0. To be added. is equal to . 0 1.0.5000.0 2.0.0.0
- Method
  System.Double `` A containing the value of an angle measured in radians.

  Returns the sine of the specified that represents an angle.

  A containing the value of the sine of . If is equal to , , or , returns .

  Multiply by /180 to convert degrees to radians.

  The following example demonstrates using the method.

  `using System; public class MathSinExample { public static void Main() { Double d1 = Math.Sin(0); Double d2 = Math.Sin(Math.PI/2.0); Console.WriteLine("Math.Sin(0) returns {0}", d1); Console.WriteLine("Math.Sin(Math.PI/2.0) returns {0}", d2); } }`

  The output is

  Math.Sin(0) returns 0

  Math.Sin(Math.PI/2.0) returns 1

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A containing the value of an angle measured in radians.

  Returns the hyperbolic sine of the specified that represents an angle.

  A containing the value of the hyperbolic sine of . If is equal to , , or , returns a equal to .

  Multiply by /180 to convert degrees to radians.

  The following example demonstrates using the method.

  `using System; public class MathSinhExample { public static void Main() { Double d1 = Math.Sinh(0); Double d2 = Math.Sinh(Math.PI); Console.WriteLine("Math.Sinh(0) returns {0}", d1); Console.WriteLine("Math.Sinh(Math.PI) returns {0}", d2); } }`

  The output is

  Math.Sinh(0) returns 0

  Math.Sinh(Math.PI) returns 11.5487393572577

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A .

  Returns the square root of the specified .

  A whose value is indicated as follows:

  Condition
  Returns
  >= 0
  A containing the positive square root of .

  < 0

  is equal to .

  is equal to .

  .

  is equal to

  .

  To be added.

  The following example demonstrates using the method.

  `using System; public class MathSqrtExample { public static void Main() { Double d1 = Math.Sqrt(16.0); Double d2 = Math.Sqrt(0.0); Double d3 = Math.Sqrt(-10.0); Console.WriteLine("Math.Sqrt(16.0) returns {0}", d1); Console.WriteLine("Math.Sqrt(0.0) returns {0}", d2); Console.WriteLine("Math.Sqrt(-10.0) returns {0}", d3); } }`

  The output is

  Math.Sqrt(16.0) returns 4

  Math.Sqrt(0.0) returns 0

  Math.Sqrt(-10.0) returns NaN

  0
  1.0.5000.0
  2.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Double `` A that represents an angle measured in radians.

  Returns the tangent of the specified that represents an angle.

  A containing the value of the tangent of . If a is equal to , , or , returns .

  Multiply by /180 to convert degrees to radians.

  The following example demonstrates using the method.

  `using System; public class MathTanExample { public static void Main() { Double d1 = Math.Tan(0); Double d2 = Math.Tan(Math.PI/2.0); Console.WriteLine("Math.Tan(0) returns {0}", d1); Console.WriteLine("Math.Tan(Math.PI/2.0) returns {0}", d2); } }`

  The output is

  Math.Tan(0) returns 0

  Math.Tan(Math.PI/2.0) returns 1.63317787283838E+16

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Double `` A that represents an angle measured in radians.

  Returns the hyperbolic tangent of the specified that represents an angle.

  A containing the value of the hyperbolic tangent of . If is equal to , returns -1. If value is equal to , returns 1. If value is equal to , returns .

  Multiply by /180 to convert degrees to radians.

  The following example demonstrates using the method.

  `using System; public class MathTanhExample { public static void Main() { Double d1 = Math.Tanh(0); Double d2 = Math.Tanh(Math.PI); Console.WriteLine("Math.Tanh(0) returns {0}", d1); Console.WriteLine("Math.Tanh(Math.PI) returns {0}", d2); } }`

  The output is

  Math.Tanh(0) returns 0

  Math.Tanh(Math.PI) returns 0.99627207622075

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 2.0.0.0
0